//**************  Enrico Prengel    14.06.2017     ***************
//**************  Regelungstechnik  Programmname  ****************

function f = rechteSeite(t,y)
    y_real = [y(1,1);y(2,1)];
    
    A  = [[0,1];[-1, 2]];
    As = [[0,1];[-2,-2]];
    B = [0;1];
    R = [1,4];
    ysoll= [1;0];
    xsoll= 1;
    vsoll= 0;
    q=0;
    
    f = A*y+B*(-R*y+2*xsoll+2*vsoll)+q;
    //f = A*y+B*(-R+y)-As*ysoll;
endfunction

t=0:0.01:20;
t0=0;
y0=[10;0];
y=ode(y0,t0,t,rechteSeite);

plot(t,y(1,:)',t,y(2,:)');
xtitle("...");
xgrid();
xlabel("v, y");
ylabel("t");
